@echo off
:: Verifica se está rodando como administrador
net session >nul 2>&1
if %errorLevel% neq 0 (
    echo Por favor, execute este script como administrador.
    pause
    exit
)

echo Excluindo arquivos...

:: Program Files (x86)
if exist "C:\Program Files (x86)\Meu ERP Online\Meu TEF\CliSiTef32I.dll" del /F /Q "C:\Program Files (x86)\Meu ERP Online\Meu TEF\CliSiTef32I.dll"
if exist "C:\Program Files (x86)\Meu ERP Online\Meu TEF\CliSiTef64I.dll" del /F /Q "C:\Program Files (x86)\Meu ERP Online\Meu TEF\CliSiTef64I.dll"
if exist "C:\Program Files (x86)\Meu ERP Online\Meu TEF\libcurl32.dll" del /F /Q "C:\Program Files (x86)\Meu ERP Online\Meu TEF\libcurl32.dll"
if exist "C:\Program Files (x86)\Meu ERP Online\Meu TEF\libcurl64.dll" del /F /Q "C:\Program Files (x86)\Meu ERP Online\Meu TEF\libcurl64.dll"
if exist "C:\Program Files (x86)\Meu ERP Online\Meu TEF\QREncode32.dll" del /F /Q "C:\Program Files (x86)\Meu ERP Online\Meu TEF\QREncode32.dll"
if exist "C:\Program Files (x86)\Meu ERP Online\Meu TEF\QREncode64.dll" del /F /Q "C:\Program Files (x86)\Meu ERP Online\Meu TEF\QREncode64.dll"

:: SysWOW64
if exist "C:\Windows\SysWOW64\CliSiTef32I.dll" del /F /Q "C:\Windows\SysWOW64\CliSiTef32I.dll"
if exist "C:\Windows\SysWOW64\CliSiTef64I.dll" del /F /Q "C:\Windows\SysWOW64\CliSiTef64I.dll"
if exist "C:\Windows\SysWOW64\libcurl32.dll" del /F /Q "C:\Windows\SysWOW64\libcurl32.dll"
if exist "C:\Windows\SysWOW64\libcurl64.dll" del /F /Q "C:\Windows\SysWOW64\libcurl64.dll"
if exist "C:\Windows\SysWOW64\QREncode32.dll" del /F /Q "C:\Windows\SysWOW64\QREncode32.dll"
if exist "C:\Windows\SysWOW64\QREncode64.dll" del /F /Q "C:\Windows\SysWOW64\QREncode64.dll"

:: System32
if exist "C:\Windows\System32\CliSiTef32I.dll" del /F /Q "C:\Windows\System32\CliSiTef32I.dll"
if exist "C:\Windows\System32\CliSiTef64I.dll" del /F /Q "C:\Windows\System32\CliSiTef64I.dll"
if exist "C:\Windows\System32\libcurl32.dll" del /F /Q "C:\Windows\System32\libcurl32.dll"
if exist "C:\Windows\System32\libcurl64.dll" del /F /Q "C:\Windows\System32\libcurl64.dll"
if exist "C:\Windows\System32\QREncode32.dll" del /F /Q "C:\Windows\System32\QREncode32.dll"
if exist "C:\Windows\System32\QREncode64.dll" del /F /Q "C:\Windows\System32\QREncode64.dll"

:: System
if exist "C:\Windows\System\CliSiTef32I.dll" del /F /Q "C:\Windows\System\CliSiTef32I.dll"
if exist "C:\Windows\System\CliSiTef64I.dll" del /F /Q "C:\Windows\System\CliSiTef64I.dll"
if exist "C:\Windows\System\libcurl32.dll" del /F /Q "C:\Windows\System\libcurl32.dll"
if exist "C:\Windows\System\libcurl64.dll" del /F /Q "C:\Windows\System\libcurl64.dll"
if exist "C:\Windows\System\QREncode32.dll" del /F /Q "C:\Windows\System\QREncode32.dll"
if exist "C:\Windows\System\QREncode64.dll" del /F /Q "C:\Windows\System\QREncode64.dll"

echo Operação concluída.
pause